Skip to content
Documentation
Get started

Payments

Update the Invoice recipient

PUT
/v1/payments/{paymentId}/invoice-recipient
curl --request PUT \
--url https://api.timbro.do/v1/payments/example/invoice-recipient \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: example' \
--data '{ "recipientEmail": "hello@example.com" }'

Records the buyer email for the payment Invoice. Timbro delivery starts after an Invoice has a durable identity.

paymentId
required
string
/^payment_[0-9a-hjkmnp-tv-z]{24,}$/

Payment whose Invoice recipient is updated.

idempotency-key
required
string
>= 1 characters <= 255 characters /^[\x20-\x7e]+$/
Media typeapplication/json

Examplegenerated

{
"recipientEmail": "hello@example.com"
}

Set the buyer email for a Payment Invoice.

object
recipientEmail
required
string format: email
<= 254 characters

Default Response

Media typeapplication/json
Response fields and codes
object
recipientEmail
required
string format: email
<= 320 characters
status
required
Any of:
string
Allowed value: waitingForInvoice
request-id
required
string

Identifies this request. Quote it when you contact support.

Idempotent-Replayed
string
Allowed value: true

true when this response replays the stored result of an earlier request with the same Idempotency-Key.